libplexus-utils-java_1.5.15-4+deb8u1build0.16.04.1_all.deb


Advertisement

Description

libplexus-utils-java - utilities for the Plexus framework

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Universe i386 Official
Package filename libplexus-utils-java_1.5.15-4+deb8u1build0.16.04.1_all.deb
Package name libplexus-utils-java
Package version 1.5.15
Package release 4+deb8u1build0.16.04.1
Package architecture all
Package type deb
Homepage http://plexus.codehaus.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 203.47 KB
Installed size 248.00 KB
Category
The Plexus project provides a full software stack for creating and executing
software projects. Based on the Plexus container, the applications can
utilise component-oriented programming to build modular, reusable components
that can easily be assembled and reused.
While Plexus is similar to other inversion-of-control (IoC) or dependency
injection frameworks such as the Spring Framework, it is a full-fledged
container that supports many more features such as:
* Component lifecycles
* Component instantiation strategies
* Nested containers
* Component configuration
* Auto-wiring
* Component dependencies, and
* Various dependency injection techniques including constructor injection,
setter injection, and private field injection.

Alternatives

Package Version Architecture Repository
libplexus-utils-java_1.5.15-4+deb8u1build0.16.04.1_all.deb 1.5.15 all Ubuntu Updates Universe Official
libplexus-utils-java_1.5.15-4+deb8u1build0.16.04.1_all.deb 1.5.15 all Ubuntu Updates Universe Official
libplexus-utils-java_1.5.15-4+deb8u1build0.16.04.1_all.deb 1.5.15 all Ubuntu Updates Universe Official
libplexus-utils-java_1.5.15-4_all.deb 1.5.15 all Ubuntu Universe Official
libplexus-utils-java_1.5.15-4_all.deb 1.5.15 all Ubuntu Universe Official
libplexus-utils-java_1.5.15-4_all.deb 1.5.15 all Ubuntu Universe Official
libplexus-utils-java_1.5.15-4_all.deb 1.5.15 all Ubuntu Universe Official
libplexus-utils-java All All All

Requires

Name Value
libplexus-interpolation-java -
libxalan2-java -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libplexus-utils-java_1.5.15-4+deb8u1build0.16.04.1_all.deb
Source Package plexus-utils

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libplexus-utils-java deb package:
    # sudo apt-get install libplexus-utils-java

Files

Path
/usr/share/doc/libplexus-utils-java/README.Debian
/usr/share/doc/libplexus-utils-java/changelog.Debian.gz
/usr/share/doc/libplexus-utils-java/copyright
/usr/share/java/libplexus-utils.jar
/usr/share/java/plexus-utils-1.5.15.jar
/usr/share/java/plexus-utils.jar
/usr/share/maven-repo/org/codehaus/plexus/plexus-utils/1.5.15/plexus-utils-1.5.15.jar
/usr/share/maven-repo/org/codehaus/plexus/plexus-utils/1.5.15/plexus-utils-1.5.15.pom
/usr/share/maven-repo/org/codehaus/plexus/plexus-utils/debian/plexus-utils-debian.jar
/usr/share/maven-repo/org/codehaus/plexus/plexus-utils/debian/plexus-utils-debian.pom

Changelog

2018-11-07 - Mike Salvatore <mike.salvatore@canonical.com>
plexus-utils (1:1.5.15-4+deb8u1build0.16.04.1) xenial-security; urgency=medium
* fake sync from Debian
2018-03-19 - Moritz Muehlenhoff <jmm@debian.org>
plexus-utils (1:1.5.15-4+deb8u1) jessie-security; urgency=medium
* CVE-2017-1000487
2011-08-23 - Torsten Werner <twerner@debian.org>
plexus-utils (1:1.5.15-4) unstable; urgency=low
* Rename source package to plexus-utils to better conform to other plexus
packages.
* Replace Depends: classpath-doc by default-jdk-doc.
2011-08-16 - Torsten Werner <twerner@debian.org>
libplexus-utils (1:1.5.15-3) unstable; urgency=low
* Remove Trygve, Arnaud, and Paul from Uploaders list.
* Update Standards-Version: 3.9.1.
* Switch to source format 3.0.
2009-08-09 - Torsten Werner <twerner@debian.org>
libplexus-utils (1:1.5.15-2) unstable; urgency=low
* Upload to unstable.
2009-07-02 - Ludovic Claude <ludovic.claude@laposte.net>
libplexus-utils (1:1.5.15-1) experimental; urgency=low
* New upstream version, add myself to Uploaders
* Add the Maven POM to the package,
* Add a Build-Depends-Indep dependency on maven-repo-helper
* Use mh_installpom and mh_installjar to install the POM and the jar to the
Maven repository 
* Remove the dependency on default-java and java2-runtime as this is a 
library
2009-07-01 - Torsten Werner <twerner@debian.org>
libplexus-utils (1:1.5.6-3) unstable; urgency=low
* Add missing Depends: ${misc:Depends}.
* Change Section: java.
* Update Standards-Version: 3.8.2 (no changes).
* Switch to default-jdk. (Closes: #526290)
2008-12-11 - Torsten Werner <twerner@debian.org>
libplexus-utils (1:1.5.6-2) experimental; urgency=low
* Add missing Depends.
2008-12-07 - Torsten Werner <twerner@debian.org>
libplexus-utils (1:1.5.6-1) experimental; urgency=low
[ Michael Koch ]
* Added watch file.
* Added myself to Uploaders.
[ Torsten Werner ]
* New upstream release
* Update watch file.
* Added myself to Uploaders.
* Bump up Standards-Version: 3.8.0 (no changes).
2007-12-05 - Paul Cager <paul-debian@home.paulcager.org>
libplexus-utils (1:1.4.8-1) unstable; urgency=low
* New upstream version (Closes: #454095).
* Added Homepage and svn control fields.
* Set to standards version 3.7.3 (already conforms to
new standard).

See Also

Package Description
libplist-utils_1.12-3.1ubuntu0.16.04.1_i386.deb Apple property list converter
libpng3_1.2.54-1ubuntu1.1_i386.deb PNG library - runtime
libpoco-dev_1.3.6p1-5.1ubuntu0.1_i386.deb C++ Portable Components (POCO) Development files
libpococrypto9v5_1.3.6p1-5.1ubuntu0.1_i386.deb C++ Portable Components (POCO) Crypto library
libpocodata9v5_1.3.6p1-5.1ubuntu0.1_i386.deb C++ Portable Components (POCO) Data library
libpocofoundation9v5_1.3.6p1-5.1ubuntu0.1_i386.deb C++ Portable Components (POCO) Foundation library
libpocomysql9v5_1.3.6p1-5.1ubuntu0.1_i386.deb C++ Portable Components (POCO) MySQL library
libpoconet9v5_1.3.6p1-5.1ubuntu0.1_i386.deb C++ Portable Components (POCO) Network library
libpoconetssl9v5_1.3.6p1-5.1ubuntu0.1_i386.deb C++ Portable Components (POCO) Network library with SSL
libpocoodbc9v5_1.3.6p1-5.1ubuntu0.1_i386.deb C++ Portable Components (POCO) ODBC library
libpocosqlite9v5_1.3.6p1-5.1ubuntu0.1_i386.deb C++ Portable Components (POCO) SQLite library
libpocoutil9v5_1.3.6p1-5.1ubuntu0.1_i386.deb C++ Portable Components (POCO) Util library
libpocoxml9v5_1.3.6p1-5.1ubuntu0.1_i386.deb C++ Portable Components (POCO) XML library
libpocozip9v5_1.3.6p1-5.1ubuntu0.1_i386.deb C++ Portable Components (POCO) Zip library
libpostproc-dev_2.8.15-0ubuntu0.16.04.1_i386.deb FFmpeg library for post processing - development files
Advertisement
Advertisement